%global	commit		4b10499d72644b058e327fe1583490affb9a8d74
%global shortcommit	%(c=%{commit}; echo ${c:0:7})

Name:		jacop
Version:	4.2
Release:	3%{?dist}
License:	AGPLv3 with exceptions 
Summary:	Java Constraint Programming solver
URL:		http://jacop.osolpro.com/
Source0:	https://github.com/radsz/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
# https://github.com/radsz/jacop/issues/8
Source1:	LICENSE
BuildRequires:	apache-commons-jexl
BuildRequires:	java-devel
BuildRequires:	javacc-maven-plugin
BuildRequires:	maven-local
BuildRequires:	maven-plugin-bundle
BuildRequires:	scala
BuildRequires:	slf4j-log4j12
Requires:	javapackages-tools
BuildArch:	noarch

%description
Java Constraint Programming solver, JaCoP in short, is an open-source Java
library, which provides Java user with Constraint Programming technology.
JaCoP is actively developed since year 2001. Krzysztof Kuchcinski and
Radoslaw Szymanek are the core developers of this Java library. They are
working in their free time to improve this library. They both have worked
countless hours to create software which is frequently used not only in
their research work.

%package javadoc
Summary:	Javadocs for %{name}

%description	javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{commit}
%pom_remove_plugin "org.scala-tools:maven-scala-plugin" pom.xml
%pom_remove_dep "org.perf4j" pom.xml
%pom_change_dep commons-jexl: org.apache.commons:
# https://bugzilla.redhat.com/show_bug.cgi?id=1185657
cp -p %{SOURCE1} .

%build
%mvn_build

%install
%mvn_install
install -d %{buildroot}%{_docdir}/%{name}
install -p -m 644 -t %{buildroot}%{_docdir}/%{name} README.md

%files -f .mfiles
%license LICENSE
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%doc %{_docdir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 22 2015 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 4.2-3
- Rebuild for newer scala.

* Sun Jan 25 2015 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 4.2-2
- Use the license macro (#1177191#c2)
- Add explicit requires to owners of directories (#1177191#c2)
- Become owner of maven-poms/jacop directory (#1177191#c2)

* Sat Dec 20 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 4.2-1
- Initial jacop spec.
